#
# hook.py
#
# Copyright 2009, Red Hat, Inc.
#
# GPLv2+ boilerplate goes here
#
# Author: Will Woods <wwoods@redhat.com>

import optparse

name = 'post-koji-build'

def extend_parser(parser):
    '''Extend the given OptionParser object with settings for this hook.'''
    parser.set_usage('%%prog %s [options] PACKAGE_ENVR' % name)
    group = optparse.OptionGroup(parser, '%s options' % name)
    group.add_option('-k', '--kojitag', default='',
        help='Koji tag that has just been applied to this new build')
    group.add_option('-n', '--name', default='',
        help='The name of the package, by itself')
    parser.add_option_group(group)
    return parser

def process_testlist(opts, args, testlist):
    # XXX TODO we may pull new tests from CVS at this point
    # XXX HACK: only run rpmlint on one single arch, since one test will cover
    #           the packages for all arches
    if 'x86_64' not in opts.arch and 'rpmlint' in testlist:
        testlist.remove('rpmlint')
    return testlist

def process_testdata(opts, args, arch, **extra):
    '''Given an optparse.Values object and a list of args (as returned from
    OptionParser.parse_args()), return a dict containing the appropriate key=val
    pairs required by the autotest control file / test objects for this hook.'''
    testdata = {'envr': args[0], 'kojitag': opts.kojitag, 'name': opts.name}
    return testdata
